package com.karensrecipes.midlets;

import javax.microedition.lcdui.*;

public class FormError extends Form implements CommandListener {
	
	private RecipeBrowser midlet;
	private Command cmHome;
	private StringItem siError;
	
	public FormError(RecipeBrowser midlet, String error) {
		
		// call the constructor of the List
		super("Recipe Viewer Error");
		
		// save the top level midlet locally
		this.midlet = midlet;
		
		
		siError = new StringItem("", error);			
		append(siError);
		
		cmHome = new Command("Home", Command.SCREEN, 1);
		addCommand(cmHome);
		setCommandListener(this);
		
	}
	
	
	
	
	
	public void commandAction(Command c, Displayable s) {
		
		if (c == cmHome) {
			
			midlet.displayManager.home();
		
		}
		
		
	}

}
