package com.karensrecipes.midlets;

import javax.microedition.lcdui.*;
import com.karensrecipes.midlets.utils.*;

public class FormRecipe extends Form implements CommandListener {
	
	private RecipeBrowser midlet;
	private Recipe recipe;
	private Command cmBack;
	private StringItem siLabel;
	private StringItem siIngredients;
	private StringItem siDirections;
	
	public FormRecipe(RecipeBrowser midlet, Recipe recipe) {
		
		// call the constructor of the List
		super("Recipe Detail");
		
		// save the top level midlet locally
		this.midlet = midlet;
		this.recipe = recipe;
		
		
		siLabel = new StringItem("", recipe.getLabel() + "\n");			
		append(siLabel);
		
		siIngredients = new StringItem("", recipe.getIngredients() + "\n");			
		append(siIngredients);
		
		siDirections = new StringItem("", recipe.getDirections());			
		append(siDirections);
		
		
		cmBack = new Command("Back", Command.SCREEN, 1);
		addCommand(cmBack);
		setCommandListener(this);
		
	}
	
	
	public void commandAction(Command c, Displayable s) {
		
		if (c == cmBack) {
			// pop twice to get past the alert()
			midlet.displayManager.popDisplayable();
			midlet.displayManager.popDisplayable();
		}
	}

}
