package com.karensrecipes.midlets;

import java.util.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import com.karensrecipes.midlets.utils.*;

public class RecipeBrowser extends MIDlet {
	
	private Display display;
	private FormMain formMain;
	public DisplayManager displayManager;
	public static final String BASE_URL = "http://www.karensrecipes.com";
	public static final String QUERY_URL = BASE_URL + "/midp/?";
	
	protected Vector categories;
	
	public RecipeBrowser() {
		
		this.display = Display.getDisplay(this);
		this.formMain = new FormMain(this);
		
		//init the vector of categories
		this.categories = CategoryFactory.getCategories();
		
		this.displayManager = new DisplayManager(display, formMain);
		
	}
	
	
	public void startApp() throws MIDletStateChangeException {
		
		display.setCurrent(formMain);
	
	}
	
	public void pauseApp() {
	
	
	}
	
	public void destroyApp(boolean unconditional) { 
		
	}
	
	
	public void exitMIDlet() {
		destroyApp(true);
		notifyDestroyed();	
	}
	

}
