package com.karensrecipes.midlets;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import com.karensrecipes.midlets.*;

public class CategoryList extends List implements CommandListener {
	
	private RecipeBrowser midlet;
	private String options[] = new String[5];
	private Command cmBack;
	
	public CategoryList(RecipeBrowser midlet) {
		
		// call the constructor of the List
		super("Choose Category:", List.IMPLICIT);
		
		// save the top level midlet locally
		this.midlet = midlet;
		
		
		// retrieve all the categories from the db
		options[0] = "Beverage";
		options[1] = "Breakfast";
		options[2] = "Kids";
		options[3] = "Maindish";
		options[4] = "Salad";
		
		// add each category to the List
		for (int i=0; i<options.length; i++) {
	   		append(options[i], null);
		}
		
		cmBack = new Command("Back", Command.SCREEN, 1);
		
		addCommand(cmBack);
		setCommandListener(this);
		
		
		
	}
	
	
	
	
	
	public void commandAction(Command c, Displayable s) {
		
		if (c == List.SELECT_COMMAND) {
			
			System.out.println(options[getSelectedIndex()]);
			
			midlet.displayManager.pushDisplayable(new RecipeList(getSelectedIndex(), midlet));
			
			
		} else if (c == cmBack) {
			
			midlet.displayManager.popDisplayable();
			
		}			
	}

}
