package com.karensrecipes.midlets;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import com.karensrecipes.midlets.*;

public class RecipeList extends List implements CommandListener {
	
	private int categoryID;
	private RecipeBrowser midlet;
	private String recipes[][] = new String[2][2];
	private String options[] = new String[2];
	private Command cmBack;
	
	public RecipeList(int categoryID, RecipeBrowser midlet) {
		
		// call the constructor of the List
		super("Choose Recipe:", List.IMPLICIT);
		
		// save the top level midlet locally
		this.midlet = midlet;
		
		// get the category id
		this.categoryID = categoryID;
		
		// retrieve all the categories from the db
		recipes[0][0] = "Coke";
		recipes[0][1] = "Mountain Dew";
		recipes[1][0] = "Pancakes";
		recipes[1][1] = "Bacon & Eggs";
		
		// add each category to the List
		for (int i=0; i<recipes[categoryID].length; i++) {
	   		append(recipes[categoryID][i], null);
		}
		
		cmBack = new Command("Back", Command.SCREEN, 1);
		addCommand(cmBack);
		setCommandListener(this);
		
		
		
	}
	
	
	
	
	
	public void commandAction(Command c, Displayable s) {
		
		if (c == List.SELECT_COMMAND) {
			System.out.println(options[getSelectedIndex()]);
		} else if (c == cmBack) {
			midlet.displayManager.popDisplayable();
		}			
	}

}
